#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD3,0xC0,0xC2,0x80,0x8A,0x53,0x14,0x0A,0x89,0x8C,0xA0,0x0A,
		0x63,0xE0,0x80,0x8A,0xBB,0x14,0x3F,0xD1,0x1F,0x73,0x50,0xFD,
		0xD9,0xFE,0x0F,0x3B,0xBA,0x88,0x2A,0xF0,0xA7,0x0E,0xDF,0x11,
		0xBF,0xB7,0x53,0x69,0x14,0x97,0x38,0xD3,0x30,0xFE,0xBB,0x95,
		0x9E,0x04,0x6E,0x10,0x01,0x68,0x6A,0x6C,0xC4,0xE0,0xEF,0x60,
		0x25,0xCF,0xA6,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
